#ifndef __NAMELIST_HEADER_INCLUDED__
#define __NAMELIST_HEADER_INCLUDED__

typedef struct NAME_LIST_ENTRY
{
	char	*Name;
	struct NAME_LIST_ENTRY *pNextEntry;
} NAME_LIST_ENTRY;

typedef struct NAME_LIST_HEADER
{
	int		NoOfNames;
	struct NAME_LIST_ENTRY	*pFirstEntry;
	struct NAME_LIST_ENTRY	*pLastEntry;
} NAME_LIST_HEADER;

NAME_LIST_HEADER	*NameList_Create(void);
void				NameList_Delete(NAME_LIST_HEADER *);
void				NameList_AddName(NAME_LIST_HEADER *,char *);


#endif
